# Toggle Typing Status

URL: https://www.inclamo.com/docs/api/application/conversations/toggle-typing-status-of-a-conversation

> Toggles the typing status for a conversation.

## POST /api/v1/accounts/{account_id}/conversations/{conversation_id}/toggle_typing_status

Toggle Typing Status

Toggles the typing status for a conversation.

Base URL: https://helpdesk.inclamo.com

### Parameters

- `account_id` (path, required, integer): The numeric ID of the account
- `conversation_id` (path, required, integer): The numeric ID of the conversation

### Request body

`application/json` (required)

```json

{
  "type": "object",
  "required": [
    "typing_status"
  ],
  "properties": {
    "typing_status": {
      "type": "string",
      "enum": [
        "on",
        "off"
      ],
      "description": "Typing status to set.",
      "example": "on"
    },
    "is_private": {
      "type": "boolean",
      "description": "Whether the typing event is for private notes.",
      "example": false
    }
  }
}

```

### Responses

- 200: Success
- 401: Unauthorized
- 404: Conversation not found

Schemas referenced with $ref are defined in the OpenAPI file: https://www.inclamo.com/docs/api/openapi.json
